##
##  perl-sys.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_unix_syslog       0.99
%define       V_archive_tar       1.02
%define       V_expect            1.15
%define       V_storable          2.07
%define       V_ipc_shareable     0.60
%define       V_file_tail         0.98
%define       V_freezethaw        0.43
%define       V_authen_sasl       2.04
%define       V_archive_zip       1.05

#   package information
Name:         perl-sys
Summary:      Perl Modules for use with the system
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Language
License:      GPL/Artistic
Version:      20030612
Release:      20030612

#   list of sources
Source0:      http://www.cpan.org/modules/by-module/Unix/Unix-Syslog-%{V_unix_syslog}.tar.gz
Source1:      http://www.cpan.org/modules/by-module/Archive/Archive-Tar-%{V_archive_tar}.tar.gz
Source2:      http://www.cpan.org/modules/by-module/Expect/Expect-%{V_expect}.tar.gz
Source3:      http://www.cpan.org/modules/by-module/Storable/Storable-%{V_storable}.tar.gz
Source4:      http://www.cpan.org/modules/by-module/IPC/IPC-Shareable-%{V_ipc_shareable}.tar.gz
Source5:      http://www.cpan.org/modules/by-module/File/File-Tail-%{V_file_tail}.tar.gz
Source6:      http://www.cpan.org/modules/by-module/FreezeThaw/FreezeThaw-%{V_freezethaw}.tar.gz
Source7:      http://www.cpan.org/modules/by-module/Authen/Authen-SASL-%{V_authen_sasl}.tar.gz
Source8:      http://www.cpan.org/modules/by-module/Archive/Archive-Zip-%{V_archive_zip}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, perl, perl-openpkg, perl-time, perl-term
PreReq:       OpenPKG, openpkg >= 20020206, perl, perl-openpkg, perl-time, perl-term
AutoReq:      no
AutoReqProv:  no

%description
    Perl modules for use with the system:
    - Unix::Syslog (%{V_unix_syslog})
    - Archive::Tar (%{V_archive_tar})
    - Expect (%{V_expect})
    - Storable (%{V_storable})
    - IPC::Shareable (%{V_ipc_shareable})
    - File::Tail (%{V_file_tail})
    - FreezeThaw (%{V_freezethaw})
    - Authen::SASL (%{V_authen_sasl})
    - Archive::Zip (%{V_archive_zip})

%prep
    %setup0 -q -c
    %setup1 -q -T -D -a 1
    %setup2 -q -T -D -a 2
    %setup3 -q -T -D -a 3
    %setup4 -q -T -D -a 4
    %setup5 -q -T -D -a 5
    %setup6 -q -T -D -a 6
    %setup7 -q -T -D -a 7
    %setup7 -q -T -D -a 8

%build

%install
    #   perform common prolog operations
    %{l_prefix}/bin/perl-openpkg prolog

    #   build and install individual modules
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE0}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE1}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE2}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE3}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE4}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE5}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE6}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE7}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE8}

    #   perform common epilog operations
    %{l_prefix}/bin/perl-openpkg epilog

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

